0

I am attempting to install a piece of software and when it is installing (technically compiling) I recieve an error called

/usr/bin/ld: cannot find -lrandomProcesses

I have looked on the internet and could not find a specific package to install this onto.

Would anyone have an idea on how I can correct the issue?

2
  • What is the software? it doesn't sound like a system library - possibly a prerequisite that needs to be built first? – steeldriver Aug 11 '16 at 16:13
  • It is openFoam again – philm Aug 11 '16 at 18:02
0

Try to compile randomProcesses explicitly

 cd src/randomProcesses
 ./Allwmake

I had issues with multiple versions of FFTW library on my computer, but following actions fixed them

  1. In ThirdParty-v1606+/makeFFTW change “fftwPACKAGE=${fftw_version:-fftw-system}” to “fftwPACKAGE=${fftw_version:-fftw-3.3.4}”
  2. Run ./ThirdParty-v1606+/makeFFTW
  3. Proceed with compilation of randomProcesses

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.